#!/bin/sh

result=`Xdialog --title "XDIALOG BUILDLIST" --backtitle "A user-built list" \
		--stdout --separator "|" \
		--buildlist "hello, this is a --buildlist..." 0 0 0 \
			    "1" "Item n° 1" "on" \
			    "2" "Item n° 2" "off" \
			    "3" "Item n° 3" "on" \
			    "4" "Item n° 4" "on" \
			    "5" "Item n° 5" "off" \
			    "6" "Item n° 6" "on"`

retval=$?
case $retval in
  0)
    echo "The user-built list is '$result'.";;
  1)
    echo "Cancel pressed.";;
  255)
    echo "Box closed.";;
esac
